package com.yonge.cooleshow.bbs.dto;

import com.yonge.cooleshow.bbs.enums.ArticleEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-06-13
 */
@ApiModel("评论审核信息")
public class ReplyAuditDto {

    @ApiModelProperty("评论id")
    @NotNull(message = "评论id不能为空")
    private Long replyId;

    @ApiModelProperty("审核状态 审核中:DOING，通过:PASS，驳回:REJECT")
    @NotNull(message = "审核状态不能为空")
    private ArticleEnum status;

    @ApiModelProperty(value = "审核人id",hidden = true)
    private Long  verityUserId;

    @ApiModelProperty("审核理由")
    private String reason;

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getReplyId() {
        return replyId;
    }

    public void setReplyId(Long replyId) {
        this.replyId = replyId;
    }

    public ArticleEnum getStatus() {
        return status;
    }

    public void setStatus(ArticleEnum status) {
        this.status = status;
    }

    public Long getVerityUserId() {
        return verityUserId;
    }

    public void setVerityUserId(Long verityUserId) {
        this.verityUserId = verityUserId;
    }
}
